## org.omg.CORBA
Class StringValueHelper

    java.lang.Object
      |
      +--org.omg.CORBA.StringValueHelper

All Implemented Interfaces:
  BoxedValueHelper

public class StringValueHelper
extends java.lang.Object
implements BoxedValueHelper

Helper class for : StringValue

Author:
  OpenORB Compiler

Constructor Summary
`StringValueHelper()`

Method Summary
`static java.lang.String` `extract(Any a)` Extract StringValue from an any
`java.lang.String` `get_id()` Return the value id
`static java.lang.String` `id()` Return the StringValue IDL ID
`static void` `insert(Any a, java.lang.String t)` Insert StringValue into an any
`java.io.Serializable` `read_value(InputStream is)` Read a value from an input stream
`static java.lang.String` `read(InputStream istream)` Read StringValue from a marshalled stream
`static TypeCode` `type()` Return the StringValue TypeCode
`void` `write_value(OutputStream os, java.io.Serializable value)` Write a value into an output stream
`static void` `write(OutputStream ostream, java.lang.String value)` Write StringValue into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringValueHelper

    public StringValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              java.lang.String t)

  Insert StringValue into an any
  Parameters:
    `a` - an any
    `t` - StringValue value

### extract

    public static java.lang.String extract(Any a)

  Extract StringValue from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted StringValue value

### type

    public static TypeCode type()

  Return the StringValue TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the StringValue IDL ID
  Returns:
    an ID

### read

    public static java.lang.String read(InputStream istream)

  Read StringValue from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed StringValue value

### write

    public static void write(OutputStream ostream,
                             java.lang.String value)

  Write StringValue into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - StringValue value

### read_value

    public java.io.Serializable read_value(InputStream is)

  Read a value from an input stream
  Specified by:
    `read_value` in interface `BoxedValueHelper`

### write_value

    public void write_value(OutputStream os,
                            java.io.Serializable value)

  Write a value into an output stream
  Specified by:
    `write_value` in interface `BoxedValueHelper`

### get_id

    public java.lang.String get_id()

  Return the value id
  Specified by:
    `get_id` in interface `BoxedValueHelper`